;; Don't edit this file manually
(if (memq 'py enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'py
         "zh_CN"
         "GB18030"
         "Pinyin (Simplified)"
         "Pinyin input method (Simplified Chinese version)"
         "pyload")
        (require-module "pyload")))

(if (memq 'pyunihan enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'pyunihan
         "zh_CN"
         "UTF-8"
         "Pinyin (Unicode)"
         "Pinyin input method (Unicode version)"
         "pyload")
        (require-module "pyload")))

(if (memq 'pinyin-big5 enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'pinyin-big5
         "zh_TW:zh_HK"
         "UTF-8"
         "Pinyin (Traditional)"
         "Pinyin input method (Traditional Chinese version)"
         "pyload")
        (require-module "pyload")))

(if (memq 'anthy enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'anthy
         "ja"
         "EUC-JP"
         "Anthy"
         "A multi-segment kana-kanji conversion engine"
         "anthy")
        (require-module "anthy")))

(if (memq 'skk enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'skk
         "ja"
         "EUC-JP"
         "SKK"
         "uim version of SKK input method"
         "skk")
        (require-module "skk")))

(if (memq 'tcode enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'tcode
         "ja"
         "EUC-JP"
         "T-Code"
         "A kanji direct input method"
         "tcode")
        (require-module "tcode")))

(if (memq 'tutcode enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'tutcode
         "ja"
         "EUC-JP"
         "TUT-Code"
         "A kanji direct input method"
         "tutcode")
        (require-module "tutcode")))

(if (memq 'hangul2 enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'hangul2
         "ko"
         "UTF-8"
         "Hangul (2-bul)"
         "2-bul style hangul input method"
         "hangul")
        (require-module "hangul")))

(if (memq 'hangul3 enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'hangul3
         "ko"
         "UTF-8"
         "Hangul (3-bul)"
         "3-bul style hangul input method"
         "hangul")
        (require-module "hangul")))

(if (memq 'romaja enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'romaja
         "ko"
         "UTF-8"
         "Hangul (Romaja)"
         "Romaja input style hangul input method"
         "hangul")
        (require-module "hangul")))

(if (memq 'viqr enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'viqr
         "vi"
         "UTF-8"
         "VIQR"
         "VIetnamese Quoted-Readable"
         "viqr")
        (require-module "viqr")))

(if (memq 'ipa-x-sampa enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'ipa-x-sampa
         ""
         "UTF-8"
         "International Phonetic Alphabet (X-SAMPA)"
         "International Phonetic Alphabet (X-SAMPA)"
         "ipa-x-sampa")
        (require-module "ipa-x-sampa")))

(if (memq 'latin enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'latin
         ""
         "UTF-8"
         "Latin characters"
         "Latin characters mainly used for Latin and German languages"
         "latin")
        (require-module "latin")))

(if (memq 'm17n-am-sera enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-am-sera
         "am"
         "UTF-8"
         "m17n-am-sera"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-as-itrans enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-as-itrans
         "as"
         "UTF-8"
         "m17n-as-itrans"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-bn-itrans enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-bn-itrans
         "bn"
         "UTF-8"
         "m17n-bn-itrans"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-bo-wylie enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-bo-wylie
         "bo"
         "UTF-8"
         "m17n-bo-wylie"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-phonetic enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-phonetic
         "unknown"
         "UTF-8"
         "m17n-phonetic"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-el-kbd enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-el-kbd
         "el"
         "UTF-8"
         "m17n-el-kbd"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-ar-kbd enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-ar-kbd
         "ar"
         "UTF-8"
         "m17n-ar-kbd"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-isiri enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-isiri
         "unknown"
         "UTF-8"
         "m17n-isiri"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-gu-itrans enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-gu-itrans
         "gu"
         "UTF-8"
         "m17n-gu-itrans"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-he-kbd enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-he-kbd
         "he"
         "UTF-8"
         "m17n-he-kbd"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-hi-itrans enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-hi-itrans
         "hi"
         "UTF-8"
         "m17n-hi-itrans"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-hr-kbd enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-hr-kbd
         "hr"
         "UTF-8"
         "m17n-hr-kbd"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-kbd enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-kbd
         "unknown"
         "UTF-8"
         "m17n-kbd"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-ja-tcode enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-ja-tcode
         "ja"
         "UTF-8"
         "m17n-ja-tcode"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-kdb enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-kdb
         "unknown"
         "UTF-8"
         "m17n-kdb"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-kk-arabic enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-kk-arabic
         "kk"
         "UTF-8"
         "m17n-kk-arabic"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-kk-kbd enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-kk-kbd
         "kk"
         "UTF-8"
         "m17n-kk-kbd"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-yannis enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-yannis
         "unknown"
         "UTF-8"
         "m17n-yannis"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-kn-itrans enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-kn-itrans
         "kn"
         "UTF-8"
         "m17n-kn-itrans"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-ko-hangul2 enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-ko-hangul2
         "ko"
         "UTF-8"
         "m17n-ko-hangul2"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-ko-romaja enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-ko-romaja
         "ko"
         "UTF-8"
         "m17n-ko-romaja"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-lo-lrt enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-lo-lrt
         "lo"
         "UTF-8"
         "m17n-lo-lrt"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-ml-itrans enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-ml-itrans
         "ml"
         "UTF-8"
         "m17n-ml-itrans"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-or-itrans enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-or-itrans
         "or"
         "UTF-8"
         "m17n-or-itrans"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-pa-itrans enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-pa-itrans
         "pa"
         "UTF-8"
         "m17n-pa-itrans"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-ru-yawerty enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-ru-yawerty
         "ru"
         "UTF-8"
         "m17n-ru-yawerty"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-samanala enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-samanala
         "unknown"
         "UTF-8"
         "m17n-samanala"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-sl-kbd enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-sl-kbd
         "sl"
         "UTF-8"
         "m17n-sl-kbd"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-sr-kbd enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-sr-kbd
         "sr"
         "UTF-8"
         "m17n-sr-kbd"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-ta-itrans enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-ta-itrans
         "ta"
         "UTF-8"
         "m17n-ta-itrans"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-te-itrans enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-te-itrans
         "te"
         "UTF-8"
         "m17n-te-itrans"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-th-kesmanee enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-th-kesmanee
         "th"
         "UTF-8"
         "m17n-th-kesmanee"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-vi-telex enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-vi-telex
         "vi"
         "UTF-8"
         "m17n-vi-telex"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-vi-viqr enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-vi-viqr
         "vi"
         "UTF-8"
         "m17n-vi-viqr"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-zh-py enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-zh-py
         "zh"
         "UTF-8"
         "m17n-zh-py"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-zh-pinyin enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-zh-pinyin
         "zh"
         "UTF-8"
         "m17n-zh-pinyin"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-latn-post enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-latn-post
         "unknown"
         "UTF-8"
         "m17n-latn-post"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-latn-pre enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-latn-pre
         "unknown"
         "UTF-8"
         "m17n-latn-pre"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-syrc-phonetic enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-syrc-phonetic
         "unknown"
         "UTF-8"
         "m17n-syrc-phonetic"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-bopo-kbd enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-bopo-kbd
         "unknown"
         "UTF-8"
         "m17n-bopo-kbd"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-unicode enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-unicode
         "unknown"
         "UTF-8"
         "m17n-unicode"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'm17n-rfc1345 enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'm17n-rfc1345
         "unknown"
         "UTF-8"
         "m17n-rfc1345"
         "An input method provided by the m17n library"
         "m17nlib")
        (require-module "m17nlib")))

(if (memq 'direct enabled-im-list)
    (if enable-lazy-loading?
        (register-stub-im
         'direct
         "*"
         "UTF-8"
         "Direct"
         "Pass through all user input without any modification"
         "direct")
        (require-module "direct")))
